Skip to main content
GET
Retrieve a webhook endpoint
Click the base URL in the API playground and select the Sandbox host for test data or the Production host for live data. Use credentials from the same environment.

Authorizations

Authorization
string
header
required

The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'

Path Parameters

pk
string<uuid>
required

Webhook endpoint UUID.

Response

Webhook endpoint details.

id
string<uuid>
Example:

"2f6b9e2a-7c1a-4a3e-8b6e-8e6f9a2c1d4a"

url
string<uri>

Destination URL that webhook events are POSTed to.

Example:

"https://example.com/webhooks/kelviq"

enabled
boolean

Disabled endpoints don't receive deliveries.

events
enum<string>[]

Event types this endpoint is subscribed to.

Available options:
checkout.completed,
customer.created,
customer.updated,
order.created,
order.updated,
order.refunded,
subscription.created,
subscription.updated,
subscription.cancelled,
subscription.plan_changed,
subscription.trial_will_end,
invoice.created,
invoice.paid,
invoice.payment_failed,
refund.created,
refund.updated,
feature.usage_alert,
payment_method.created,
payment_method.updated,
payment_method.deleted
secret
string
read-only

Signing secret used to verify the Kelviq-Signature header on deliveries to this endpoint.